#include <bits/stdc++.h>

using namespace std;

int main() {
    int n, k;
    cin >> n >> k;
    int niz[n];
    for(int i = 0; i < n; i++)
    {
        cin >> niz[i];
    }
    sort(niz, niz + n);
    int br = 1, pbr = niz[0], res[n], brres=0;
    for(int i = 1; i < n; i++)
    {
        if(pbr == niz[i])
        {
            br++;
            if(br == k)
            {
                br = 0;
                res[brres] = niz[i];
                brres++;
            }
        }
        else
        {
            br = 1;
            pbr = niz[i];
        }
    }
    cout << brres << "\n";
    for(int i=0; i < brres; i++)
    {
        cout << res[i] << " ";
    }
}